var iNet_1 = new iNet("Busch iNet Radio","Busch iNet Radio");

function iNet(DeviceName,Page)
{
   var DEVICE = IR.GetDevice(DeviceName);
   
   //Инициализация переменных в обратной связи 
   IR.SetVariable("Drivers."+DeviceName+".iNet_Station 1","");
   IR.SetVariable("Drivers."+DeviceName+".iNet_Station 2","");
   IR.SetVariable("Drivers."+DeviceName+".iNet_Station 3","");
   IR.SetVariable("Drivers."+DeviceName+".iNet_Station 4","");
   IR.SetVariable("Drivers."+DeviceName+".iNet_Station 5","");
   IR.SetVariable("Drivers."+DeviceName+".iNet_Station 6","");
   IR.SetVariable("Drivers."+DeviceName+".iNet_Station 7","");
   IR.SetVariable("Drivers."+DeviceName+".iNet_Station 8","");
   IR.SetVariable("Drivers."+DeviceName+".iNet_Current station name","");
   IR.SetVariable("Drivers."+DeviceName+".iNet_Current station number",0);
   IR.SetVariable("Drivers."+DeviceName+".iNet_Volume",0);
   
   var station1 = "";
   var station1b = "";
   var station2 = "";
   var station3 = "";
   var station4 = "";
   var station5 = "";
   var station6 = "";
   var station7 = "";
   var station8 = "";
   
   function Autorequest()
   {
      DEVICE.Send(['GET,/en/index.shtml']);
   }
   
   IR.AddListener(IR.EVENT_ITEM_SHOW,IR.GetItem(Page),function()
   {
      Autorequest();
   });
   
   IR.AddListener(IR.EVENT_START,0,function()
   {
      IR.SetInterval(5000, Autorequest);
   });

   //Получение данных от оборудования и запись обратной связи
   IR.AddListener(IR.EVENT_RECEIVE_TEXT, DEVICE, function(inText)
   {
      var volume3 = inText.slice(inText.indexOf("Volume", 0)+60,inText.indexOf("Volume", 0)+120);
      var volume2 = volume3.slice(volume3.indexOf("value=", 0)+7,volume3.indexOf("nbsp", 0)-6);
      var volume = parseFloat(volume2);
      
      if((volume >= 0)&&(volume < 50))
      {
         IR.SetVariable("Drivers."+DeviceName+".iNet_Volume",volume);
         //IR.Log("Громкость = " + volume);
      
         var station1_2 = inText.slice(inText.indexOf("Station 1", 0)+60,inText.indexOf("Station 1", 0)+150);
         station1 = station1_2.slice(station1_2.indexOf("value=", 0)+7,station1_2.indexOf("nbsp", 0)-6);
         IR.SetVariable("Drivers."+DeviceName+".iNet_Station 1",station1);
         //IR.Log("Станция 1 = " + station1);
         
         var station2_2 = inText.slice(inText.indexOf("Station 2", 0)+60,inText.indexOf("Station 2", 0)+150);
         station2 = station2_2.slice(station2_2.indexOf("value=", 0)+7,station2_2.indexOf("nbsp", 0)-6);
         IR.SetVariable("Drivers."+DeviceName+".iNet_Station 2",station2);
         //IR.Log("Станция 2 = " + station2);
         
         var station3_2 = inText.slice(inText.indexOf("Station 3", 0)+60,inText.indexOf("Station 3", 0)+150);
         station3 = station3_2.slice(station3_2.indexOf("value=", 0)+7,station3_2.indexOf("nbsp", 0)-6);
         IR.SetVariable("Drivers."+DeviceName+".iNet_Station 3",station3);
         //IR.Log("Станция 3 = " + station3);
         
         var station4_2 = inText.slice(inText.indexOf("Station 4", 0)+60,inText.indexOf("Station 4", 0)+150);
         station4 = station4_2.slice(station4_2.indexOf("value=", 0)+7,station4_2.indexOf("nbsp", 0)-6);
         IR.SetVariable("Drivers."+DeviceName+".iNet_Station 4",station4);
         //IR.Log("Станция 4 = " + station4);
         
         var station5_2 = inText.slice(inText.indexOf("Station 5", 0)+60,inText.indexOf("Station 5", 0)+150);
         station5 = station5_2.slice(station5_2.indexOf("value=", 0)+7,station5_2.indexOf("nbsp", 0)-6);
         IR.SetVariable("Drivers."+DeviceName+".iNet_Station 5",station5);
         //IR.Log("Станция 5 = " + station5);
         
         var station6_2 = inText.slice(inText.indexOf("Station 6", 0)+60,inText.indexOf("Station 6", 0)+150);
         station6 = station6_2.slice(station6_2.indexOf("value=", 0)+7,station6_2.indexOf("nbsp", 0)-6);
         IR.SetVariable("Drivers."+DeviceName+".iNet_Station 6",station6);
         //IR.Log("Станция 6 = " + station6);
         
         var station7_2 = inText.slice(inText.indexOf("Station 7", 0)+60,inText.indexOf("Station 7", 0)+150);
         station7 = station7_2.slice(station7_2.indexOf("value=", 0)+7,station7_2.indexOf("nbsp", 0)-6);
         IR.SetVariable("Drivers."+DeviceName+".iNet_Station 7",station7);
         //IR.Log("Станция 7 = " + station7);
         
         var station8_2 = inText.slice(inText.indexOf("Station 8", 0)+60,inText.indexOf("Station 8", 0)+150);
         station8 = station8_2.slice(station8_2.indexOf("value=", 0)+7,station8_2.indexOf("nbsp", 0)-6);
         IR.SetVariable("Drivers."+DeviceName+".iNet_Station 8",station8);
         //IR.Log("Станция 8 = " + station8);
         
         var station0_2 = inText.slice(inText.indexOf("Currently playing", 0)+30,inText.indexOf("Currently playing", 0)+250);
         var station0 = station0_2.slice(station0_2.indexOf("value=", 0)+7,station0_2.indexOf("Add to TuneIn Presets", 0)-71);
         IR.SetVariable("Drivers."+DeviceName+".iNet_Current station name",station0);
         var station0a = station0_2.slice(station0_2.indexOf("Station", 0)+8,station0_2.indexOf("Station", 0)+9);
         IR.SetVariable("Drivers."+DeviceName+".iNet_Current station number",station0a);
         //IR.Log("Текущая станция = " + station0_2);
         //IR.Log("Текущая станция = " + station0);
      }
   });
   
   //Получение данных из GUI и отправка оборудованию
   IR.AddListener(IR.EVENT_CHANNEL_SET, IR.GetDevice(DeviceName), function(name, value)
   {
      //Получение данных из GUI     
      switch(name)
      {
         case "iNet_Volume set":           
            DEVICE.Send(['GET,/en/index.cgi?vo='+value+'&cv=Set']); 
            break;
         case "iNet_Play station 1":           
            DEVICE.Send(['GET,/en/index.cgi?p1=+Play+']);
            break;   
         case "iNet_Play station 2":           
            DEVICE.Send(['GET,/en/index.cgi?p2=+Play+']);
            break;   
         case "iNet_Play station 3":           
            DEVICE.Send(['GET,/en/index.cgi?p3=+Play+']); //?n3=DI.fm+%7C+Russian+club&p3=+Play+ 
            break;   
         case "iNet_Play station 4":           
            DEVICE.Send(['GET,/en/index.cgi?p4=+Play+']);
            break;   
         case "iNet_Play station 5":           
            DEVICE.Send(['GET,/en/index.cgi?p5=+Play+']);
            break;   
         case "iNet_Play station 6":           
            DEVICE.Send(['GET,/en/index.cgi?p6=+Play+']);
            break;   
         case "iNet_Play station 7":           
            DEVICE.Send(['GET,/en/index.cgi?p7=+Play+']);
            break;   
         case "iNet_Play station 8":           
            DEVICE.Send(['GET,/en/index.cgi?p8=+Play+']);
            break;   
         case "iNet_Play AUX":           
            DEVICE.Send(['GET,/en/index.cgi?p5=+Play+']);
            break;   
      }
   });
}